* {
    padding: 0;
    margin: 0;
    user-select: none;
}

body {
    overflow: hidden;
}

h1 {
    margin: 10vh 0 5vh;
    text-align: center;
    font-size: 80px;
    font-family: "Playfair Display", serif;
    height: 100px;
}
.h1Drip {
    filter: drop-shadow(1px 1px 1px #ff0000) drop-shadow(1px 0px 1px #ff7f00)
        drop-shadow(0px 0px 1px #ffff00) drop-shadow(0px 1px 1px #00ff00)
        drop-shadow(1px 1px 1px #0000ff) drop-shadow(1px 0px 1px #2e2b5f)
        drop-shadow(0px 1px 1px #8b00ff);
}
.h1DripMore {
    animation: drippin 0.125s ease forwards;
}
.h1DripBack {
    animation: drippinBack 0.125s ease forwards;
}

main {
    display: flex;
    justify-content: center;
    font-family: "Fira Code", monospace;
}

.workArea {
    text-align: center;
    position: relative;
}

button {
    border: 2px solid #1919191e;
    border-radius: 5px;
    margin: 30px 50px;
    font-size: 18px;
    font-weight: bold;
    width: 20vw;
    min-width: fit-content;
    max-width: 200px;
    height: 45px;
}
button:hover {
    filter: saturate(0.9);
}

.green {
    background-color: green;
}

.red {
    background-color: red;
}

.blue {
    background-color: blue;
}

.randomDrip {
    filter: drop-shadow(1px 1px 1px #ff0000) drop-shadow(0px 0px 1px #ff7f00)
        drop-shadow(-1px -1px 1px #ffff00) drop-shadow(-1px 1px 1px #00ff00)
        drop-shadow(0px 0px 1px #0000ff) drop-shadow(1px -1px 1px #2e2b5f)
        drop-shadow(0px 0px 1px #8b00ff);
    transition: all 0.0625s ease;
}
.randomDrip:hover {
    filter: drop-shadow(1px 1px 3px #ff0000) drop-shadow(0px 0px 3px #ff7f00)
        drop-shadow(-1px -1px 3px #ffff00) drop-shadow(-1px 1px 3px #00ff00)
        drop-shadow(0px 0px 3px #0000ff) drop-shadow(1px -1px 3px #2e2b5f)
        drop-shadow(0px 0px 3px #8b00ff);
}
.randomDrip:active {
    transform: scale(0.95);
    filter: drop-shadow(1px 1px 8px #ff0000) drop-shadow(0px 0px 8px #ff7f00)
        drop-shadow(-1px -1px 8px #ffff00) drop-shadow(-1px 1px 8px #00ff00)
        drop-shadow(0px 0px 8px #0000ff) drop-shadow(1px -1px 8px #2e2b5f)
        drop-shadow(0px 0px 8px #8b00ff);
}

@keyframes drippin {
    from {
        transform: scale(1);
        filter: drop-shadow(1px 1px 1px #ff0000)
            drop-shadow(1px 0px 1px #ff7f00) drop-shadow(0px 0px 1px #ffff00)
            drop-shadow(0px 1px 1px #00ff00) drop-shadow(1px 1px 1px #0000ff)
            drop-shadow(1px 0px 1px #2e2b5f) drop-shadow(0px 1px 1px #8b00ff);
    }
    to {
        transform: scale(1.1, 1.3);
        filter: drop-shadow(-1px -1px 12px #ff0000)
            drop-shadow(0px 0px 12px #ff7f00) drop-shadow(1px 1px 12px #ffff00)
            drop-shadow(1px -1px 12px #00ff00) drop-shadow(0px 0px 12px #0000ff)
            drop-shadow(-1px 1px 12px #2e2b5f) drop-shadow(0px 0px 12px #8b00ff);
    }
}
@keyframes drippinBack {
    from {
        transform: scale(1.1, 1.3);
        filter: drop-shadow(-1px -1px 12px #ff0000)
            drop-shadow(0px 0px 12px #ff7f00) drop-shadow(1px 1px 12px #ffff00)
            drop-shadow(1px -1px 12px #00ff00) drop-shadow(0px 0px 12px #0000ff)
            drop-shadow(-1px 1px 12px #2e2b5f) drop-shadow(0px 0px 12px #8b00ff);
    }
    to {
        transform: scale(1);
        filter: drop-shadow(1px 1px 1px #ff0000)
            drop-shadow(1px 0px 1px #ff7f00) drop-shadow(0px 0px 1px #ffff00)
            drop-shadow(0px 1px 1px #00ff00) drop-shadow(1px 1px 1px #0000ff)
            drop-shadow(1px 0px 1px #2e2b5f) drop-shadow(0px 1px 1px #8b00ff);
    }
}
